﻿using Android.App;
using Android.OS;
using ThinkGeo.MapSuite.AndroidEdition;
using ThinkGeo.MapSuite.Core;

namespace ScaleBarAdornmentLayerSample
{
    [Activity(Label = "ScaleBarAdornmentLayerSample", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        private MapView androidMap;

        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);
            SetContentView(Resource.Layout.Main);

            androidMap = FindViewById<MapView>(Resource.Id.androidmap);
            androidMap.MapUnit = GeographyUnit.DecimalDegree;
            androidMap.CurrentExtent = new RectangleShape(-133.2515625, 89.2484375, 126.9046875, -88.290625);
            androidMap.SetBackgroundColor(new Android.Graphics.Color(233, 229, 220, 200));

            WorldMapKitOverlay worldOverlay = new WorldMapKitOverlay();
            androidMap.Overlays.Add("WorldOverlay", worldOverlay);

            ScaleBarAdornmentLayer scaleLineAdornmentLayer = new ScaleBarAdornmentLayer();
            scaleLineAdornmentLayer.Location = AdornmentLocation.LowerRight;
            scaleLineAdornmentLayer.UnitFamily = UnitSystem.Metric;
            scaleLineAdornmentLayer.HasMask = true;
            scaleLineAdornmentLayer.MaskBrush = new GeoSolidBrush(GeoColor.FromArgb(150, GeoColor.StandardColors.White));
            scaleLineAdornmentLayer.MaskContour = new GeoPen(GeoColor.StandardColors.Transparent);
            scaleLineAdornmentLayer.DisplayUnitString["Meter"] = "m";
            scaleLineAdornmentLayer.DisplayUnitString["Kilometer"] = "km";
            androidMap.AdornmentOverlay.Layers.Add("ScaleLineAdornmentLayer", scaleLineAdornmentLayer);

        }
    }
}

